Bug 1307150 - DV 6.2 Update 04
DV 6.2 Update 04
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jolee
Filip Elias
:
Depends On: 1278817 1305039 TEIID-3978-DV6.2.4 TEIIDWEBCN-20-DV6.2.4 TEIID-4005-DV6.2.4 TEIID-3177-DV6.2.4 TEIID-4008-DV6.2.4 TEIID-4015-DV6.2.4 TEIID-4017-DV6.2.4 TEIID-3994-DV6.2.4 1317943 TEIID-4114-DV6.2.4
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 15:38 EST by jolee
Modified: 2016-04-11 11:42 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
PATCH NAME: BZ-1307150 PRODUCT NAME: JBoss Data Virtualization 6 VERSION: 6.2 SHORT DESCRIPTION: DV_6.2 Update 04 LONG DESCRIPTION: This is an Update for JDV 6.2. This patch includes the following fixes: [TEIID-3177] - Enforce SSL connections over ODBC when Encryption Mode is enabled (This reverts to existing behavior by default, in order to enforce the SYSTEM PROPERTY org.teiid.ODBCRequireSecure=true must be set) [TEIID-3803] - Kerberos with ODBC with MutualAuth fails [TEIID-3978] - Remove AddressWrapper [TEIID-3994] - AliasSymbol wrapping AliasSymbol error [TEIID-4005] - Allow dependent join row value to be split [TEIID-4008] - Sending teiid varbinary value (x'') to Microsoft SQL Server errors [TEIID-4015] - Error or incorrect value when there is a conflict between local and correlated names [TEIID-4017] - EXECUTE IMMEDIATE in anonymous procedure ignores permissions [TEIID-4075] - Netezza translator to support common table expressions [TEIID-4114] - Expanding logic in the format conversion for parsing and formatting of dates [BZ-1305039] - database-service-1.1.0.redhat-4.jar loaded instead of database-service-1.1.0.redhat-6.jar [TEIIDWEBCN-20] - "Unknown attribute ssl-enable" error in DV Management Console when configuring a transport for SSL [TEIID-3436] - OData V2: Add array type support to the odata translator [TEIID-3464] - Inline scalar with clauses [TEIID-3818] - Issues with ODBC metadata foreign key queries [TEIID-3841] - sap-nw-gateway translator wrongly encodes when a parameter includes a space [TEIID-3879] - Error during state transfer prevents a node from loading later [TEIID-3950] - UDFs aren't found when using old function definitions model [TEIID-3958] - NPE Executing Against Web Service Source using invokeHttp() procedure without stream parameter [TEIID-3960] - Otherwise evaluatable constructs will inhibit pushdown [TEIID-3971] - Clob.getSubstring(int,int) returns empty or whole string [TEIID-3973] - org.teiid.core.TeiidComponentException: TEIID30328 Unable to evaluate COLUMN1: No value was available [TEIID-3380] - Simplify Kerberos configuration with Embedded [TEIID-3663] - ST_Transform only works in tests [TEIID-3671] - filter on child table not working [TEIID-3698] - non-selectable columns will cause OData failures [TEIID-3739] - Dynamic VDB that imports another VDB does not get redeployed if the imported VDB is redeployed [TEIID-3757] - OData V2: $top doesn't work with virtual procedures [TEIID-3874] - Invalid source query for subquery referencing a common table [TEIID-2936] - Combining multiple 'in' criteria can prevent pushing criteria to database [TEIID-3375] - Support Kerberos handshake for mutual auth [TEIID-3564] - float field gets converted to scientific notation when query is submitted to source [TEIID-3586] - Literal date comparisons with databasetimezone set are incorrect [TEIID-3592] - XMLFOREST returns source rather than view column names [TEIID-3629] - Teiid DDL columns options for Salesforce column have wrong name for "Calculated" property [TEIID-3640] - Improper initialization when memory buffer size is over 2 GB. [TEIID-3643] - VDB based kerberos authentication does not work with ODBC [TEIID-3658] - VDBs may start before transport service [TEIID-3685] - org.teiid.padSpace does not affect to the "IN" operator [TEIID-3666] - VDB can deploy before datasource is bound [TEIID-3686] - OData DELETE nonexisting row - wrong response code [CVE-2015-7501] - jbossas: Apache commons-collections: Remote code execution during deserialisation [CVE-2015-3253] - groovy-all: groovy: remote execution of untrusted code in class MethodClosure PATCH INSTALLATION INSTRUCTIONS: Using the CLI (bin/jboss-cli.sh or bin\jboss-cli.bat) while the JDV instance is running: [standalone@localhost:9999 /] patch apply /path/to/BZ-1307150.zip [standalone@localhost:9999 /] shutdown --restart=true The apply command may produce a conflict error for any of: jboss-as-domain.sh jboss-as-standalone.sh These conflicts are safe to override, which can be done by appending the following argument to the apply command: --override-all Other methods and further information: http://red.ht/1F5q1VX COMPATIBILITY: JBoss Data Virtualization 6 DEPENDENCIES: N/A SUPERSEDES: DV_6.2 Update 03 SUPERSEDED BY: N/A CREATOR: Johnathon Lee DATE: 16 March, 2016
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 11:42:51 EDT
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jolee 2016-02-12 15:38:23 EST
DV 6.2 Update 04
Comment 4 jolee 2016-03-18 08:29:33 EDT
Tagged:
DV_6.2_Update_04
Comment 6 Alex Szczuczko 2016-03-23 10:00:48 EDT
JBoss Data Virtualization 6.2.4 CR1 (aka DV 6.2_Update_04) available:
http://download.devel.redhat.com/devel/candidates/JBDV/JBDV-6.2.4.CR1

QE handover:
https://docs.engineering.redhat.com/display/JP/DV+6.2.4+CR1+QE+Handover
Comment 7 Juraj Duráni 2016-03-29 02:28:45 EDT
Testing in progress.
Comment 8 Juraj Duráni 2016-03-29 03:12:03 EDT
Smoke tests failed. We will probably reject this build.
Comments on failed tests:
BQTTest - this was expected, but we will update expected results.
APITest.translatorsTest - expected
APITest.odbcTest - this is not expected. We are waiting for confirmation (https://issues.jboss.org/browse/TEIID-3177?focusedCommentId=13182915&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-13182915)
APITest.generatedRest - expected (JDV 6.2.x requires .../view/... in the URI instead of .../View/...)
Comment 9 Juraj Duráni 2016-03-29 09:16:07 EDT
This patch includes TEIID-3177 which is a big braking change for the patch as it prevents OOB user:password authentication for the ODBC transport (see https://issues.jboss.org/browse/TEIID-3177?focusedCommentId=13182915&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-13182915 and next comments).

I suggest either to remove the fix from the patch or to include another back-compatibility fix for this. In my opinion, a KI is not sufficient for this.
Comment 10 jolee 2016-03-29 09:40:23 EDT
@Juraj,
  Thank you.  I missed a change I needed to make in the backport of TEIID-3177 in which I retain the prior behavior as default.  I will correct.  It appears testing is ongoing so I will wait to re-tag until other possible issues have been identified.

Thanks,
jlee
Comment 11 jolee 2016-03-29 09:59:50 EDT
I've made the change for bz1312455.  What's the consensus?  

1. continue as-is and re-tag after other issues identified
2. re-tag, build immediately.

given the behavior is known,  I would guess #1.  However,  I don't want to stall anything if that's a bad assumption.
Comment 12 Filip Elias 2016-03-29 11:46:05 EDT
John,

QE continues with the testing.However ODBC tests are blocked by the issue.
I will post a note here when we need a new build.
Comment 13 Juraj Duráni 2016-03-30 09:04:42 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=1313407 - I have reopened related JIRA. The fix need to be included in the patch.
Comment 14 dsteigne 2016-04-01 08:30:21 EDT
Please load the Maven repository zip file that includes this update to the Customer Portal
Comment 15 Juraj Duráni 2016-04-01 08:53:28 EDT
Please do not load the maven repo to the customer portal!

The patch still undergo testing. We haven't finished yet. Moreover, the patch need to be rebuilt because there are some failed dependent BZs.
Comment 16 dsteigne 2016-04-01 09:02:31 EDT
My request was for when it's complete and ready for GA release to also put the maven zip on the CSP as well as the Update itself.
Comment 17 Juraj Duráni 2016-04-05 06:32:50 EDT
All the fixes have been tested. Please rebuild the patch.

@jolee - Why 1323312 has been added to this patch in the middle of patch-test-cycle? Is this some mistake?
Comment 18 jolee 2016-04-05 10:34:51 EDT
@juraj,
  BZ1323312 is added due to strategic customer/PM driving with some very tight timelines.  There may possibly be another change added to this prior to me tagging.  I hope to know shortly.
Comment 20 Alex Szczuczko 2016-04-07 09:20:26 EDT
JBoss Data Virtualization 6.2.4 CR2 (aka DV 6.2_Update_04) available:
http://download.devel.redhat.com/devel/candidates/JBDV/JBDV-6.2.4.CR2

QE handover:
https://docs.engineering.redhat.com/display/JP/DV+6.2.4+CR2+QE+Handover
Comment 21 Juraj Duráni 2016-04-08 01:38:52 EDT
Testing in progress.
Comment 23 Juraj Duráni 2016-04-11 08:42:13 EDT
The patch has been verified. Please upload the patch and the maven repository to the CSP.
Comment 24 dsteigne 2016-04-11 08:43:58 EDT
And the sources.zip as well.
Comment 25 Juraj Duráni 2016-04-11 08:46:37 EDT
Maven repository contains all the sources.
Comment 26 dsteigne 2016-04-11 09:01:49 EDT
Customer requested both the maven.zip and the sources.zip for patches the same as you see on the CSP for the GA releases
Comment 27 Alex Szczuczko 2016-04-11 10:22:21 EDT
There are three deliverables specified in the handover document:

BZ-1307150.zip
jboss-dv-6.2.4.redhat-2-maven-repository.zip
jboss-dv-6.2.4.redhat-2-sources.zip

I'm thinking this should be satisfactory? All deliverables should normally be uploaded as a matter of course. The patch zip, maven repo zip, and sources zip are all normally deliverables with cumulative patch releases.

Note You need to log in before you can comment on or make changes to this bug.